import request from '@/utils/request'

// 查询鸟瞰图设备视频列表（根据区域名称和设备名称查询）
export function listDevVideo(query) {
  return request({
    url: '/aerial/devVideo/list',
    method: 'get',
    params: query
  })
}

// 查询鸟瞰图设备视频详细
export function getDevVideoByAreaAndDev(query) {
  return request({
    url: '/aerial/devVideo/getDevVideoByAreaAndDev',
    method: 'get',
    params: query
  })
}

// 查询鸟瞰图设备视频详细
export function getDevVideo(id) {
  return request({
    url: '/aerial/devVideo/' + id,
    method: 'get'
  })
}

// 新增鸟瞰图设备视频
export function addDevVideo(data) {
  return request({
    url: '/aerial/devVideo',
    method: 'post',
    data: data
  })
}

// 修改鸟瞰图设备视频
export function updateDevVideo(data) {
  return request({
    url: '/aerial/devVideo',
    method: 'put',
    data: data
  })
}

// 删除鸟瞰图设备视频
export function delDevVideo(id) {
  return request({
    url: '/aerial/devVideo/' + id,
    method: 'delete'
  })
}

// 导出鸟瞰图设备视频
export function exportDevVideo(query) {
  return request({
    url: '/aerial/devVideo/export',
    method: 'get',
    params: query
  })
}
